function lut=createLUT(triplets, restrictA00)
    
    if (nargin<2)
        restrictA00=false;
    end
    
    if (restrictA00)
        sf=fit([triplets(:, 1), triplets(:, 2)], triplets(:, 3), 'poly55', 'Lower', 0, 'Upper', 0);
    else
        sf=fit([triplets(:, 1), triplets(:, 2)], triplets(:, 3), 'poly55');
    end
    
    lut=zeros(256, 256);
    
    for i=0:255
        for j=0:255
            lut(i+1, j+1)=min(max(round(sf(i, j)), 0), 255);
        end
    end
    
end
